-----Crear nuevo, editar y eliminar conversacion

declare @licencia as varchar(100)
set @licencia =(SELECT uid FROM [seg_usuario] where id=1)

declare @id_permisoaccion as int

if not exists (select * from gui_funcionalidad  where nombreComando = 'eliminar' and funcionalidad = 'Eliminar Conversación' and id_tipoFuncionalidad = 5 and active = 1)
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
  select 
           @licencia,'01',1,1,getdate(),getdate(),1,'Eliminar conversación','','','','','','',0,'','eliminar',0,id,5 from gui_funcionalidad 
			 where funcionalidad = 'Conversación' and id_tipoFuncionalidad = 3
end 


if not exists (select * from gui_funcionalidad  where nombreComando = 'editar' and funcionalidad = 'Editar Conversación' and id_tipoFuncionalidad = 5 and active = 1)
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
  select 
           @licencia,'01',1,1,getdate(),getdate(),1,'Editar conversación','','','','','','',0,'','editar',0,id,5 from gui_funcionalidad 
			 where funcionalidad = 'Conversación' and id_tipoFuncionalidad = 3
end 

if not exists (select * from gui_funcionalidad  where nombreComando = 'crear' and funcionalidad = 'Nueva Conversación' and id_tipoFuncionalidad = 5 and active = 1)
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
  select 
           @licencia,'01',1,1,getdate(),getdate(),1,'Nueva conversación','','','','','','',0,'','crear',0,id,5 from gui_funcionalidad 
			 where funcionalidad = 'Conversación' and id_tipoFuncionalidad = 3
end 

-----Crear eliminar comentario



if not exists (select * from gui_funcionalidad  where nombreComando = 'eliminar' and funcionalidad = 'Eliminar Comentario' and id_tipoFuncionalidad = 5 and active = 1)
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
  select 
           @licencia,'01',1,1,getdate(),getdate(),1,'Eliminar Comentario','','','','','','',0,'','eliminar',0,id,5 from gui_funcionalidad 
			 where funcionalidad = 'Comentarios' and id_tipoFuncionalidad = 3
end 